# Contributing to DocBinder OSS

Thank you for your interest in contributing! Please follow these guidelines:

- Fork the repository and create your branch from `main`.
- Write clear, concise commit messages.
- Add tests for new features or bug fixes.
- Ensure all tests pass before submitting a pull request.
- Follow the code style used in the project.
- For major changes, open an issue first to discuss what you would like to change.

## Pull Request Process
1. Ensure your branch is up to date with `main`.
2. Submit your pull request and fill out the PR template.
3. One or more maintainers will review your code.
4. Address any feedback and update your PR as needed.

Thank you for helping make DocBinder OSS better!

## Virtual Environment Setup

To create and activate the OSS library virtual environment:

```zsh
python3 -m venv .venv-oss
source .venv-oss/bin/activate
```

Install dependencies:

```zsh
pip install -r requirements.txt
```

To deactivate:
```zsh
deactivate
```

## Getting Started with Development

1. Clone the repository and navigate to the docbinder-oss folder.
2. Create and activate the virtual environment as shown above.
3. Install dependencies with `pip install -r requirements.txt`.
4. Start developing! You can run the OSS library or its tests as needed.

- Make sure you are in the docbinder-oss folder and your virtual environment is activated before running any scripts or development commands.